Bug 14859

Summary: konqueror crash, java at http://www.linux.no/biblioteket/HOWTO/
Product: konqueror Reporter: Oystein Skadsem <oystein.skadsem>
Component: generalAssignee: Konqueror Developers <konq-bugs>
Status: CLOSED FIXED    
Severity: crash    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: RedHat RPMs   
OS: Other   
Latest Commit: Version Fixed In:

Description Oystein Skadsem 2000-11-07 19:34:56 UTC
(*** This bug was imported into bugs.kde.org ***)

Package: konqueror
Version: kde 2.0
Severity: crash
Installed from: red hat 7.0 rpm's

This seems very reproducible at least for me. Whenever I enter http://www.linux.no/biblioteket/HOWTO/ and search for "newsserver" konqueror crashes with the debugging symbols below. Searching for something else doesn't give any errors (at least as far sa I have tested.) Turning off java fixes the problem. Also a small java applet box appear whenever i access this page which appearently is part of this as it too crashes. I can't remove it or see that it does anything useful... :-)


(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread 1024 (LWP 1414)]
0x40c2bca9 in __wait4 () from /lib/libc.so.6
#0  0x40c2bca9 in __wait4 () from /lib/libc.so.6
#1  0x40c94740 in __DTOR_END__ () from /lib/libc.so.6
#2  0x404b6a98 in KCrash::defaultCrashHandler () from /usr/lib/libkdecore.so.3

#3  0x40f502c1 in pthread_sighandler (signo=11 ctx={gs = 0 __gsh = 0 
      fs = 0 __fsh = 0 es = 43 __esh = 0 ds = 43 __dsh = 49168 
      edi = 136861992 esi = 20 ebp = 3221219152 esp = 3221219144 
      ebx = 1094083300 edx = 0 ecx = 0 eax = 136675728 trapno = 14 
      err = 4 eip = 1093246654 cs = 35 __csh = 0 eflags = 66118 
      esp_at_signal = 3221219144 ss = 43 __ssh = 0 fpstate = 0xbfffe4c8 
      oldmask = 2147483648 cr2 = 0}) at signals.c:97
#4  <signal handler called>
#5  0x41299ebe in khtml::RenderText::posOfChar () from /usr/lib/libkhtml.so.3
#6  0x411fd364 in KHTMLPart::findTextNext () from /usr/lib/libkhtml.so.3
#7  0x4122c355 in KHTMLFind::slotSearch () from /usr/lib/libkhtml.so.3
#8  0x406de7eb in QObject::activate_signal ()
   from /usr/lib/qt-2.2.1/lib/libqt.so.2
#9  0x402dd242 in KEdFind::search () from /usr/lib/libkdeui.so.3
#10 0x402e1e49 in KEdFind::slotUser1 () from /usr/lib/libkdeui.so.3
#11 0x406de7eb in QObject::activate_signal ()
   from /usr/lib/qt-2.2.1/lib/libqt.so.2
#12 0x407f5672 in QButton::clicked () from /usr/lib/qt-2.2.1/lib/libqt.so.2
#13 0x4068ffc7 in QDialog::keyPressEvent ()
   from /usr/lib/qt-2.2.1/lib/libqt.so.2
#14 0x4030d9da in KDialogBase::keyPressEvent () from /usr/lib/libkdeui.so.3
#15 0x4072f73e in QWidget::event () from /usr/lib/qt-2.2.1/lib/libqt.so.2
#16 0x40763ff6 in QLineEdit::event () from /usr/lib/qt-2.2.1/lib/libqt.so.2

#17 0x406892d1 in QApplication::notify () from /usr/lib/qt-2.2.1/lib/libqt.so.2

#18 0x4045d11d in KApplication::notify () from /usr/lib/libkdecore.so.3
#19 0x4065baf7 in QETWidget::translateKeyEvent ()
   from /usr/lib/qt-2.2.1/lib/libqt.so.2
#20 0x40657c19 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-2.2.1/lib/libqt.so.2
#21 0x40656daa in QApplication::processNextEvent ()
   from /usr/lib/qt-2.2.1/lib/libqt.so.2
#22 0x4068b0fc in QApplication::enter_loop ()
   from /usr/lib/qt-2.2.1/lib/libqt.so.2
#23 0x40656d27 in QApplication::exec () from /usr/lib/qt-2.2.1/lib/libqt.so.2
#24 0x40fcd156 in main () from /usr/lib/konqueror.so
#25 0x804a3ac in strcpy () at ../sysdeps/generic/strcpy.c:31
#26 0x804ac4a in strcpy () at ../sysdeps/generic/strcpy.c:31
#27 0x804afd2 in strcpy () at ../sysdeps/generic/strcpy.c:31
#28 0x804c2ba in strcpy () at ../sysdeps/generic/strcpy.c:31
#29 0x40b96a2c in __libc_start_main (main=0x804bed0 <strcpy+8712> argc=7 
    ubp_av=0xbffffd7c init=0x8049720 <_init> fini=0x804c648 <_fini> 
    rtld_fini=0x4000d3c8 <_dl_fini> stack_end=0xbffffd74)
    at ../sysdeps/generic/libc-start.c:111


(submitted via bugs.kde.org)
Comment 1 Lor Thi 2000-11-21 18:38:08 UTC
Summary of  14859  using cvs of 20001117
This document contain a structure THEAD TBODY
eat all cpu power like #15736
If you delete the TABLE everything is fine.
see #15736 (khtml package) for more details

thil
Comment 2 Vadim Plessky 2001-01-18 17:37:23 UTC
-- 

Vadim Plessky
http://kde2.newmail.ru  (English)
http://kde2.newmail.ru/index_rus.html  (Russian)
Do you have Arial font installed? Just test it!
http://kde2.newmail.ru/font_test_arial.html